<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE window SYSTEM "chrome://livemargins/locale/livemargins.dtd">
<?xml-stylesheet href="chrome://livemargins/skin/apps/weather/weatherWidget.css" type="text/css"?>

<overlay id="search-overlay" 
		 xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
	<script src="weatherWidget.js" />
	<window id="livemargins_player_window" width="300" height="457" />
	<vbox id="widget-box" style="min-width: 150px; max-width: none;" />
	<vbox id="app-content-box">
		<hbox id="footer-box" align="center" pack="center" position="10">
			<toolbaritem flex="1">
				<textbox id="favpart_textbox_search" flex="1" type="autocomplete" autocompletesearch="form-history"
					ontextentered="return widget.onTextEntered();">
					<button id="favpart_search_button"
							onclick="var menu = document.getElementById('history-menupopup'); menu.openPopup(this,'before_start',0,0,true,false);"
							/>
					<hbox id="favpart_hbox_go">
					  <image id="favpart_image_go"
							 onclick="var data = document.getElementById('favpart_textbox_search').value;widget.checkWeather(value)"/>
					</hbox>
				</textbox>
			</toolbaritem>
		</hbox>
	</vbox>
	<vbox id="left-resizer-box" style="display:none;" />
	<resizer id="top-resizer" style="display:none;" />
	<hbox id="right-button-box">
		<toolbarbutton class="favpart-control-buttons" id="titlebar-reload" tooltiptext="&reloadButton;" type="checkbox" autoCheck="false" ondblclick="clearTimeout(window.reloadTimer);widget.switchAutoReload(event);" oncommand = "window.reloadTimer = setTimeout(function(){widget.reload();},400);" position="1"/>					
		<toolbarseparator position="2"/>
	</hbox>
	<image id="app-icon" class="channel-icon" src="chrome://livemargins/skin/apps/weather/weatherwidget-icon.png"/>
	<browser id="player_browser" asrc="resource://livemargins/apps/weather/weather.html" />
	<resizer id="bottom-resizer" style="display:none;" />
	<vbox id="right-risizer-box" style="display:none;" />
	<popupset>
		<menupopup id="history-menupopup" onpopupshowing="widget.rebuildHistoryMenu();"/>
	</popupset>
	<script src="chrome://livemargins/content/apps/weather/weatherContentAPI.js"></script>
</overlay>
